package com.brilliance.isc.common.umdbnk.service;

import com.brilliance.isc.common.umdmod.vo.UmdmodVo;
import com.brilliance.isc.common.vo.PtsptaVo;

public interface UmdbnkService {

    void addCheckBankByName(UmdmodVo umdmodVo, String argRol, String reltype, String custtype, String custname);

    void addCheckBankByName(UmdmodVo umdmodVo, PtsptaVo ptsptaVo, String reltype, String custtype, String custname);

    void addCheckBankByRol(UmdmodVo umdmodVo, String argRol, String argType);

    void addCheckBankByRol(UmdmodVo umdmodVo, PtsptaVo ptsptaVo, String argType);

    void umdbnkAddCheckName(UmdmodVo umdmodVo, String extkey, String argtyp, String argcustyp, String argcusname);

    void umdbnkAddCheckInc(UmdmodVo umdmodVo, String extkey, String argtyp, String argcustyp,String nat, String argcusname);

    void umdbnkAddCheckInc(UmdmodVo umdmodVo, String extkey, String argtyp, String argcustyp,String nat, String argcusname, String celist);

    void umdbnkAddCheck(UmdmodVo umdmodVo, String extkey, String argtyp, String argcustyp);
}